<!DOCTYPE html>
{% load static %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="icon" type="image/png" href="{% static 'admin/images/favicon/android-chrome-100x100.png' %}">

    {% if title %}
        <title>{{ title }} | Manage Panel</title>
    {% else %}
        <title>Manage Panel</title>
    {% endif %}
    
    <!-- JS -->
    {% block scripts %} {% endblock scripts %}

    <!-- CSS -->

    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/bootstrap.min.css' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/bootstrap-icons-1.8.3/bootstrap-icons.css' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/boxicons/css/boxicons.min.css' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/fontawesome-free/css/all.min.css' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/sb-admin/sb-admin-2.css' %}">
    <link href="{% static 'admin/plugin/select2/select2.min.css' %}" rel="stylesheet" />
    {% block css %} {% endblock css %}

</head>
<body>
    <div id="wrapper">
        {% include 'profile/layouts/admin/sidebar.html' %}
        <div id="content-wrapper" class="d-flex flex-column">
            <div id="content">
                {% block navbar %} {% endblock navbar %}
                <div class="container-fluid">
                    {% block main %} {% endblock main %}
                </div>
            </div>
    
        </div>
    </div>
    
    <a class="scroll-to-top rounded" href="#page-top">
        <i class="bi bi-arrow-up"></i>
    </a>
    
    {% block modal %} {% endblock modal %}

    {% block footer %} {% endblock footer %}

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="{% static 'admin/js/jquery-3.2.1.min.js' %}"></script>
    <script src="{% static 'admin/js/popper.min.js' %}"></script>
    <script src="{% static 'admin/js/bootstrap.min.js' %}"></script>
    <script src="{% static 'admin/js/sb-admin/sb-admin-2.js' %}"></script>
    <script src="{% static 'admin/js/sweetalert2.min.js' %}"></script>
    <script src="{% static 'admin/plugin/select2/js/select2.min.js' %}"></script>

    <script>
        $(document).ready(function() {
            $('.list_wilayah').select2();
        });
        var csrf_token = "{{csrf_token}}";
        
        $(function () {
            $('[data-toggle="tooltip"]').tooltip()
        })
        
        function logout(){
            Swal.fire({
                title: `Apakah anda yakin ingin keluar?`,
                showCancelButton: true,
                confirmButtonText: 'Keluar',
                cancelButtonText: 'Batal',
                }).then((result) => {
                if (result.isConfirmed) {
                    $.ajax({
                        url: `{% url 'logout' %}`,
                        data: {},
                        dataType: "html",
                        timeout: 10000,
                        beforeSend: function() {
                            Swal.fire({
                                title: 'Memproses.........',
                                allowEscapeKey: false,
                                allowOutsideClick: false,
                                showCancelButton: false,
                                showConfirmButton: false,
                            });
                            Swal.showLoading();
                        },
                        success: function(response){
                            Swal.fire(`Berhasil Logout!`, '', 'success');
                            setTimeout(function(){
                                window.location.href = "{% url 'login' %}";
                            }, 2000); 
                        },
                        error: function (xhr, ajaxOptions, thrownError) {
                            Swal.fire(`Gagal Logout`, '', 'error');
                        }
                    });
                    
                }
            });
        }
    </script>
    {% block scripts_bawah %} {% endblock scripts_bawah %}

</body>
</html>

